Jump to
Ctrl
+
/

List Addresses by Vault Account ID

GET
/vaults/{vaultId}/vault-accounts/{vaultAccountId}/list-addresses

Retrieves a list of all addresses associated with a specific vault account within a vault, along with their current balances.

Path Parameters

vaultAccountId string Required

Unique identifier of the vault account.

vaultId string Required

Unique identifier of the vault.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

assetId string Optional

Unique identifier of the asset.

blockchain string Optional

Filters addresses by blockchain, e.g bitcoin, tron, litecoin, solana, binance-smart-chain.

limit integer Optional

Defines how many items should be returned in the response per page basis.

Default : 50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
limit integer Required

Defines how many items should be returned in the response per page basis.

50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

5ca21f92cf5431000105d1a7
hasMore boolean Required

Defines whether or not there are more elements available after this set.

true
items array Items (object) Required
address string Required

Blockchain address.

0xa5bd60af2ed1499ce8292bb2e6c0179dcea34f33
addressId string Required

Unique identifier of the address (address ID to start after).

68e4c62889a82e0ff4d8f737
addressIndex string Required

Derivation index of the address within the vault account.

1
balances array Items (object) Required
amount string Required

Balance amount for the asset on this address.

0.123
assetId string Required

Unique identifier of the asset.

68e4c62889a82e0ff4d8f737
assetUnit string Required

Asset symbol (e.g., BTC, ETH, USDT, TRX).

ETH
blockchain string Required

Blockchain for the address (e.g., bitcoin, ethereum, tron).

ethereum
createdTimestamp integer Required

Unix timestamp (seconds) indicating when the address was created.

1759823400
label string Required

Human-readable label assigned to the address.

Name address

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "limit": 50,
        "startingAfter": "5ca21f92cf5431000105d1a7",
        "hasMore": true,
        "items": [
            {
                "address": "0xa5bd60af2ed1499ce8292bb2e6c0179dcea34f33",
                "addressId": "68e4c62889a82e0ff4d8f737",
                "addressIndex": "1",
                "balances": [
                    {
                        "amount": "0.123",
                        "assetId": "68e4c62889a82e0ff4d8f737",
                        "assetUnit": "ETH"
                    }
                ],
                "blockchain": "ethereum",
                "createdTimestamp": 1759823400,
                "label": "Name address"
            }
        ]
    }
}